An agent's activity timeline
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agent": {
"public_uid": "USR-USER1-001",
"name": "User One",
"email": "user1@example.com"
},
"rows": [
{
"at": "2026-09-20T09:31:22+10:00",
"kind": "package_view",
"summary": "123 Test St NORTH ROCKS NSW 2151",
"package_public_uid": "BP-1234",
"deal_id": null,
"via": null
},
{
"at": "2026-09-20T07:31:22+10:00",
"kind": "sign_in",
"summary": "Signed in (magic link)",
"package_public_uid": null,
"deal_id": null,
"via": "magic_link"
}
],
"total_count": 2,
"page": 1,
"has_more": false,
"truncated_sources": [],
"stream_ends_at": null,
"sign_in_tracking_since": "2026-09-20T07:31:22+10:00",
"mcp_calls_retained_days": 30,
"period": {
"days": 30,
"from": "2026-08-21T09:31:22+10:00",
"to": "2026-09-20T09:31:22+10:00"
}
}Team / Engagement
An agent's activity timeline
The agent’s activity, newest first, a page at a time.
GET
/
{agency_uid}
/
insights
/
engagements
/
{id}
/
timeline
An agent's activity timeline
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/insights/engagements/{id}/timeline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agent": {
"public_uid": "USR-USER1-001",
"name": "User One",
"email": "user1@example.com"
},
"rows": [
{
"at": "2026-09-20T09:31:22+10:00",
"kind": "package_view",
"summary": "123 Test St NORTH ROCKS NSW 2151",
"package_public_uid": "BP-1234",
"deal_id": null,
"via": null
},
{
"at": "2026-09-20T07:31:22+10:00",
"kind": "sign_in",
"summary": "Signed in (magic link)",
"package_public_uid": null,
"deal_id": null,
"via": "magic_link"
}
],
"total_count": 2,
"page": 1,
"has_more": false,
"truncated_sources": [],
"stream_ends_at": null,
"sign_in_tracking_since": "2026-09-20T07:31:22+10:00",
"mcp_calls_retained_days": 30,
"period": {
"days": 30,
"from": "2026-08-21T09:31:22+10:00",
"to": "2026-09-20T09:31:22+10:00"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes